from odoo import fields, models


class ResConfigSettings(models.TransientModel):
    _inherit = 'res.config.settings'

    use_qz_printer = fields.Boolean(related='pos_config_id.use_qz_printer', readonly=False)
    qz_printer_name = fields.Char(related='pos_config_id.qz_printer_name', readonly=False)
    qz_billing_printer_name = fields.Char(related='pos_config_id.qz_billing_printer_name', readonly=False)
    qz_kitchen_printer_name = fields.Char(related='pos_config_id.qz_kitchen_printer_name', readonly=False)
    qz_paper_width = fields.Selection(related='pos_config_id.qz_paper_width', readonly=False)
    qz_print_logo = fields.Boolean(related='pos_config_id.qz_print_logo', readonly=False)
    qz_enable_cutter = fields.Boolean(related='pos_config_id.qz_enable_cutter', readonly=False)
    qz_cut_mode = fields.Selection(related='pos_config_id.qz_cut_mode', readonly=False)
